package e2_2;

import java.net.URL;
import java.util.Random;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Button;
import javafx.scene.control.Label;

public class JankenController implements Initializable{
	private Random random = new Random();
	@FXML
	private Button rock;
	@FXML
	private Button scissors;
	@FXML
	private Button paper;
	
	@FXML 
	private Label computerHand;
    @FXML 
    private Label playerHand;
    @FXML 
    private Label judge;

    private String computerMessage;
    private String playerMessage;
    private String judgeMessage;
    
	@Override
	public void initialize(URL location, ResourceBundle resources) {
		this.computerMessage = computerHand.getText();
		this.playerMessage = playerHand.getText();
		this.judgeMessage = judge.getText();
	}
    
	@FXML
	public void rockAction(ActionEvent event) {
		this.judge (HandSign.ROCK);
	}
	@FXML
	public void scissorsAction(ActionEvent event) {
		this.judge (HandSign.SCISSORS);
	}
	@FXML
	public void paperAction(ActionEvent event) {
		this.judge (HandSign.PAPER);
	}
	
	private void judge (HandSign player) {
		int computerNumber = this.random.nextInt(3);
		HandSign computer = HandSign.values()[computerNumber];
		this.playerHand.setText(this.playerMessage + player);
		this.computerHand.setText(this.computerMessage + computer);
		this.judge.setText(this.judgeMessage + player.judge(computer));
	}

}